## javax.faces.lifecycle
Class Lifecycle

    java.lang.Object
      javax.faces.lifecycle.Lifecycle

public abstract class Lifecycle
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`Lifecycle()`

Method Summary
`abstract void` `addPhaseListener(PhaseListener listener)`
`abstract void` `execute(FacesContext context)`
`abstract PhaseListener[]` `getPhaseListeners()`
`abstract void` `removePhaseListener(PhaseListener listener)`
`abstract void` `render(FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lifecycle

    public Lifecycle()

Method Detail

### addPhaseListener

    public abstract void addPhaseListener(PhaseListener listener)

### execute

    public abstract void execute(FacesContext context)
                          throws FacesException

  Throws:
    `FacesException`

### getPhaseListeners

    public abstract PhaseListener[] getPhaseListeners()

### removePhaseListener

    public abstract void removePhaseListener(PhaseListener listener)

### render

    public abstract void render(FacesContext context)
                         throws FacesException

  Throws:
    `FacesException`